## ros-kinetic-pyros-common 0.5.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pyros_common)  # we need to follow ros package naming conventions here
# TODO : change name from lunar distro to match python naming (we are now using namespaces)

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(pyros_common)

## Unit tests
if (CATKIN_ENABLE_TESTING)


    ##############################################################################
    # Nose Tests
    ##############################################################################

    # Careful this will not support parallel testing, due to multiprocess environment used in tests
    catkin_add_pytests(tests/test_pyros_interfaces_mock)

    # TODO : run ROS tests with --no-skip to force them...

endif()

=== debian/changelog ===
ros-kinetic-pyros-common (0.5.4-0xenial) xenial; urgency=high

  * Relaxing dependencies version requirements to work cross distros.
    [AlexV]

 -- AlexV <asmodehn@gmail.com>  Mon, 23 Apr 2018 22:00:00 -0000

ros-kinetic-pyros-common (0.5.3-0xenial) xenial; urgency=high

  * V0.5.3. [AlexV]
  * Expliciting constructor as it might be useful to manager different
    version of Python Exceptions. [AlexV]
  * Fixing exceptions to get any number of args. adding test. [AlexV]
  * Fixing version in changelog. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Wed, 18 Apr 2018 22:00:00 -0000

ros-kinetic-pyros-common (0.5.2-0xenial) xenial; urgency=high

  * Adding pyup config. [AlexV]
  * V0.5.2. [AlexV]
  * Fixing tox config. [AlexV]
  * Adding rosdistros to travis build. [AlexV]
  * Dropping py3 travis checks. still hanging... [AlexV]
  * Extracted tests from package. now testing py3 environments added
    requirements matching ROS distros for testing. reviewing ABC usage.
    [AlexV]

 -- AlexV <asmodehn@gmail.com>  Tue, 17 Apr 2018 22:00:00 -0000

ros-kinetic-pyros-common (0.5.1-0xenial) xenial; urgency=high

  * V0.5.1. [AlexV]
  * Adding common package to hold crossprocess exceptions. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Sun, 15 Apr 2018 22:00:00 -0000

ros-kinetic-pyros-common (0.5.0-0xenial) xenial; urgency=high

  * V0.5.0. [AlexV]
  * Cosmetics and comments for future API upgrade. [AlexV]
  * Adding tests for configuration after init. [AlexV]
  * Now handling args and config in child context. [AlexV]
  * Now handling interface setup as part of context to guarantee
    availability after start() call. now using pytest. [AlexV]
  * Added badges. [AlexV]
  * Removing pyros requirements. not needed anymore. [AlexV]
  * Not using pyros_setup anymore here, since we do not depend on ROS
    environment for common or mock. [AlexV]
  * Remove ROS build files, now useless here since this is just a python
    package. [AlexV]
  * Fixing cmakelists.txt after reverting to normal package. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Thu, 12 Apr 2018 22:00:00 -0000

ros-kinetic-pyros-common (0.4.2-0xenial) xenial; urgency=high

  * Updating changelog. [AlexV]
  * Fixing setup.py to point to normal pyros-common package. [AlexV]
  * V0.4.2. [AlexV]
  * Fixing setup.py commands after pacakge structure change. [AlexV]
  * Dropping the namespace idea, since we cant make a working deb pkg out
    of it. [AlexV]
  * Preparing ros release... [AlexV]

 -- AlexV <asmodehn@gmail.com>  Tue, 18 Apr 2017 22:00:00 -0000

ros-kinetic-pyros-common (0.4.1-0xenial) xenial; urgency=high

  * V0.4.1. [AlexV]
  * Some setup.py commands fixes for release. [AlexV]
  * Changing tox tester to nose. [AlexV]
  * Moving ctx_server back to pyros to keep dependencies one-way. [AlexV]
  * Renaming test_pyros_mock for pytest to detect it. [AlexV]
  * Removing the pkgutil way to only use one way to do namespace packages.
    [AlexV]
  * Adding tox and travis files. adding dependency on pyros repo for
    tests... [AlexV]
  * Setup.py publish command description change. [AlexV]
  * Adding null logging handler by default. [AlexV]
  * Keep using the same ros package name for now. [AlexV]
  * Reorganizing to nest everything under pyros_interfaces namespace.
    [AlexV]
  * Now relying on catkin_pip >0.2. [AlexV]
  * Fix for cmakelists. added dependencies in package.xml. [alexv]
  * Added git changelog configuration. some setup.py fixes. [alexv]

 -- AlexV <asmodehn@gmail.com>  Tue, 18 Apr 2017 22:00:00 -0000

ros-kinetic-pyros-common (0.4.0-0xenial) xenial; urgency=high

  * V0.4.0. [alexv]
  * More fixes to get other tests to pass. [alexv]
  * Restructuring pyros_common to simplify things. added cmakelists and
    package.xml temporarily, while we get everything working together from
    source... [alexv]
  * Adding pyros protocol. [alexv]
  * Fixed setup.py. [alexv]
  * Moving code from pyros. [alexv]
  * Initial commit. [AlexV]

 -- AlexV <asmodehn@gmail.com>  Tue, 17 Jan 2017 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pyros-common
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.6.18), ros-kinetic-catkin-pip (>= 0.2.0), ros-kinetic-pyros-config (>= 0.2.0), ros-kinetic-pyzmp (>= 0.0.17)
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pyros-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-pyros-config (>= 0.2.0), ros-kinetic-pyzmp (>= 0.0.17)
Description: Common interfaces packages for Pyros framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pyros-common//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
